#include <bits/stdc++.h>

using namespace std;

int main()
{
    int t,n;
    cin>>t;
    long long tren;
    unordered_map<long long,int> niz;
    for(int i=0;i<t;i++)
    {
        cin>>n;
        long long poc[n],zav[n];
        string rez="DA";
        for(int j=0;j<n;j++)
        {
            cin>>poc[j];
            tren=poc[j];
            if(j%2!=0 && poc[j]>0)
                tren=0-poc[j];
            else if(j%2!=0 && poc[j]<0)
                tren=abs(poc[j]);

            niz[tren]=0;
        }

        for(int j=0;j<n;j++)
        {
            tren=poc[j];
            if(j%2!=0 && poc[j]>0)
            {
                tren=0-poc[j];
            }
            else if(j%2!=0 && poc[j]<0)
            {
                tren=abs(poc[j]);
            }

            niz[tren]++;
        }
        for(int j=0;j<n;j++)
        {
            cin>>zav[j];
            tren=zav[j];
            if(j%2!=0 && zav[j]>0)
                tren=0-zav[j];
            else if(j%2!=0 && zav[j]<0)
                tren=abs(zav[j]);

            if(niz[tren]<=0)
            {
                rez="NE";
            }
            else niz[tren]--;

        }
        cout <<rez << endl;
    }
    return 0;
}